<?
require_once "../internal/inc_connect.php";
require_once "krumo/class.krumo.php";
require_once "../inc_functions.php";
require_once "inc_common_functions.php";

$return = 1;
$score = 0;
$id = $_GET['id'];

if (isset($_GET['id']))
{
  $query = "SELECT * FROM files WHERE id = '$id'";
  $result = mysqli_query($con, $query);

  if ($result)
  {
    $row = mysqli_fetch_assoc($result);
    if (isset($_GET['del_reason']))
      $del_reason = $_GET['del_reason'];
    else
      $del_reason = "";
    $values = array(
      "mod_name" => mysqli_escape($con, $row['mod_name']),
      "mod_id" => mysqli_escape($con, $row['mod_id']),
      "system_file_name" => mysqli_escape($con, $row['system_file_name']),
      "filename" => mysqli_escape($con, $row['filename']),
      "parent_identifier" => $row['parent_identifier'],
      "file_type" => $row['file_type'],
      "path" => mysqli_escape($con, $row['path']),
      "update_id" => uniqid(),
      "update_time" => time(),
      "version_from" => $row['version_to'],
      "version_to" => "removed",
      "is_required" => $row['is_required'],
      "default_selected" => $row['default_selected'],
      "pack_side" => $row['pack_side'],
      "other_dependencies" => $row['other_dependencies'],
      "update_reason" => mysqli_escape($con, $del_reason),
      "release_tag" => ""
    );

    $query = "SELECT * FROM files WHERE other_dependencies LIKE ('%".$row['mod_id']."%')";
    $result = mysqli_query($con, $query);
    $files = array();
    if ($result && mysqli_num_rows($result) > 0)
    {
      while ($file = mysqli_fetch_assoc($result))
      {
        $files[$file['mod_id']] = $file;
      }
    }
    elseif (!$result)
    {
      log_file(mysqli_error($con), "../sql.log");
      header("location: .?result=5");
    }
    foreach ($files as $file)
    {
      if ($file['version_to'] != "removed")
        $score++;
    }

    if (isset($_GET['confirm']) && $_GET['confirm'] == 1)
    {
      $result = mysqli_query($con, build_query("files", $values));
      if (!$result)
      {
        log_file(mysqli_error($con), "../sql.log");
        $return = 4;
      }
      else
        $return = 0;
    }
  }
  else
    $return = 3;
}
else
  $return = 2;

if ($return != 1)
  header("location: .?result=".$return);
else
{
  echo "<html><head>
        <link rel='stylesheet' href='../assets/bootstrap.min.css' />
        <script src='../assets/bootstrap.min.js'></script>
        <script src='../assets/cookie_functions.min.js'></script>
        <link rel='stylesheet' href='../assets/styles.css' /></head><body>";
  echo "<div class='container'>";
  echo "<div style='margin-top: 20px;'>Why are you deleting this mod? ($return)</div>";
  echo "<div class='row'>
          <div class='four columns'>
            <form action='' method='get'>
            <input type='hidden' name='id' value='$id' />
            <input type='hidden' name='confirm' value='1' />
            <input type='text' name='del_reason' placeholder='Reason' />
          </div>
          <div class='one column'>
            <input type='submit'/>
            </form>
          </div>
        </div>";
  if (isset($files) && count($files) > 0)
  {
    echo "<div>This mod is a dependency of the following active mods:</div>";
    echo "<ul>";
    foreach ($files as $file)
    {
      if ($file['version_to'] != "removed")
        echo "<li>" . $file['mod_name'] . " - " . $file['version_to'] . "</li>";
    }
    echo "</ul>";
  }
  echo "<div><a href='.'><button class='button-primary'>Go Back</button></a></a>";
  echo "</body></html>";
}