<?
header("Access-Control-Allow-Origin: *");
require_once "../../internal/inc_connect.php";
require_once "../../classes/ErrorCodes.php";
require_once "../../classes/ErrorCodes.php";
require_once "../../inc_functions.php";
require_once "../inc_functions.php";

if ($_SERVER['REQUEST_METHOD'] != "POST")
  return_error_as_json(ErrorCodes::$POST_REQUEST_REQUIRED);
if (!isset($_POST['client_id']) || $_POST['client_id'] == "")
  return_error_as_json(ErrorCodes::$CLIENT_ID_REQUIRED);
if (!isset($_POST['client_secret']) || $_POST['client_secret'] == "")
  return_error_as_json(ErrorCodes::$CLIENT_SECRET_REQUIRED);

$client_id = $_POST['client_id'];
$client_secret = $_POST['client_secret'];

$client_data = verify_client_id_secret($client_id, $client_secret);

if ($client_data)
{
  $token = hash("sha256", uniqid());

  $values = array(
    "token_refreshed" => time(),
    "token" => $token
  );
  $result = mysqli_query($con, build_query("client_keys", $values, "update", "id", $client_data['id']));

  if (!$result)
    return_error_as_json(ErrorCodes::$SQL_ERROR, mysqli_error($con));
  else
    return_success_as_json(array("token" => $token));
}
