<?

class Role
{
  public static $NONE = "none";
  public static $ADMIN = "admin";
  public static $MODERATOR = "mod";
  public static $VIP = "vip";
  public static $PATRON = "patron";
  public static $BANNED = "banned";

  public static $roles = array();

  public static $ROLE_COUNT = 4;

  /**
   * Role constructor.
   */
  public function __construct() {
    $this::$roles = array(
      array($this::$BANNED, "Banned"),
      array($this::$NONE, "None"),
      array($this::$PATRON, "Patron"),
      array($this::$VIP, "VIP"),
      array($this::$MODERATOR, "Moderator"),
      array($this::$ADMIN, "Admin"),
    );
  }

  public function role_to_int($role) {
    foreach ($this::$roles as $key => $value) {
      if ($value[0] == strtolower($role))
        return $key;
    }
    return 0;
  }

  public function get_role_by_id($id) {
    foreach ($this::$roles as $key => $value) {
      if ($value[0] == strtolower($id))
        return $value[1];
    }
    return "Unknown Role";
  }
}