<?

/**
 * Class SQLQueryException
 * @property String $query
 * @property String $sql_error
 */
class SQLQueryException extends Exception
{
  public $query;
  public $sql_error;

  public function __construct($message = "", $query = "", $sql_error = "", $code = 0, $previous = null)
  {
    $this->query = $query;
    $this->sql_error = $sql_error;
    parent::__construct($message, $code, $previous);
  }

  public function GetQuery()
  {
    return $this->query;
  }

  public function GetSqlError()
  {
    return $this->sql_error;
  }
}