function on_options_update(event)
{
  if (typeof event.target.children[0] !== "undefined")
    var name = event.target.children[0].name;
  else
    return;
  console.log(name);
  var elements = document.getElementsByName(name);
  for (let i = 0; i < elements.length; i++)
  {
    let element = elements[i].parentElement.parentElement;
    element.className = element.className.replace(" option_active", "");
  }
  event.target.parentNode.className += " option_active";
}

function info_button_toggle(event)
{
  var target = event.children[0];
  if (target.style.display == "none")
    target.style.display = null;
  else
    target.style.display = "none";
}

function overlay_on()
{
  document.getElementById("overlay").style.display = "block";
}

function overlay_spinner_on()
{
  document.getElementById("overlay").style.display = "block";
  document.getElementById("spinner").style.display = "block";
  document.getElementById("spinner_text").style.display = "block";
  document.getElementById("spinner_text").innerHTML = "Building...";
}

function overlay_off()
{
  document.getElementById("overlay").style.display = "none";
  document.getElementById("spinner_text").style.display = "none";
}

function spinner_off()
{
  document.getElementById("spinner").style.display = null;
}

function button_group_activate(event)
{
  console.log(event.target);
  let target = event.target;
  if (target.tagName === "LABEL")
  {
    let elements = target.parentElement.children;
    for (let i = 0; i < elements.length; i++)
      elements[i].classList.remove("active");
    target.classList.add("active");
  }
}