<?

/**
 * Class MenuLink
 * Menu system version 0.1
 * @property String $title
 * @property String $hover_title
 * @property String $url
 * @property String $level
 * @property bool $open_new
 */
class MenuLink
{
  public $title;
  public $hover_title;
  public $url;
  public $level;
  public $open_new;

  /**
   * MenuLink constructor.
   * @param String $title
   * @param String $url
   * @param String $hover_title
   * @param String $level
   * @param bool $open_new
   */
  public function __construct($title, $url, $hover_title = null, $level = null, $open_new = false)
  {
    $this->title = $title;
    $this->url = $url;
    $this->hover_title = $hover_title;
    $this->level = $level;
    $this->open_new = $open_new;
  }

  public function GetTitle()
  {
    return $this->title;
  }

  public function GetUrl()
  {
    return $this->url;
  }

  public function GetHoverTitle()
  {
    $this->hover_title;
  }

  public function GetLevel()
  {
    $this->level;
  }

  public function BuildItem($item_class = "", $zIndex = null)
  {
    global $session;
    if (isset($this->level) && (!isset($session) || !role_has_access($session, $this->level)))
      return "";
    $label = $this->title;
    $url = $this->url;
    $align = "";
    $title = "";
    if (isset($this->hover_title) && $this->hover_title !== "")
      $title = "title='" . $this->hover_title . "'";
    if (isset($zIndex))
      $zIndex = "style='z-index: $zIndex;'";
    $target = " target='_self'";
    if ($this->open_new)
      $target = "target='_none'";
    return "<a href=\"$url\" $align $target><div class=\"$item_class\" $title $zIndex>$label</div></a>";
  }
}