<?php
ini_set("max_execution_time", 0);
require_once "krumo/class.krumo.php";

$settings = array(
  "tile_size" => 256,
);

$path = "map_tiles/";

$source_file = "_source_map.png";

$size = getimagesize($path . $source_file);

$width = $size[0];
$height = $size[0];

$img = imagecreatefrompng($path . $source_file);

$current_width = 0;
$current_height = 0;

$current_column = 0;
$current_row = 0;

while ($current_height < $height)
{
  while ($current_width < $width)
  {
    $name = $current_row . "-" . $current_column . ".png";
//    $result = imagecrop($img, array("width" => $settings["tile_size"], "height" => $settings["tile_size"], "x" => $current_width, "y" => $current_height));
    $crop = imagecreate($settings["tile_size"], $settings["tile_size"]);
    $result = imagecopyresampled($crop, $img, 0, 0, $current_width, $current_height, $settings["tile_size"], $settings["tile_size"], $settings["tile_size"], $settings["tile_size"]);
    if ($result)
    {
      $result = imagegd($crop, $path.$name);
      if ($result)
        echo "<div>Saved crop " . $name . "</div>";
      else
        echo "<div>Failed to save crop " . $name . "</div>";
    }
    else
      echo "<div>Crop of image " . $name . " failed</div>";
    $current_width += $settings["tile_size"];
    $current_column += 1;
  }
  $current_width = 0;
  $current_column = 0;
  $current_height += $settings["tile_size"];
  $current_row += 1;
}