<?
//Created 13/05/2017
require_once "../inc_functions.php";
require_once "../internal/inc_connect.php";


$application_limit = 3;
$error = null;
$error_data = "";
$errors = array(
  0 => "",
  1 => "Invalid user",
  2 => "SQL Error: ",
  3 => "You have too many registered applications (Max $application_limit). Contact us if you've lost the details to one or more and we can remove them.",
  4 => "",
);

$login_redirect_url = "../";
list($logged_in, $email) = get_login_session("public", false);

$form_submit = false;
if ($logged_in)
{
  if (isset($_POST['application_name']) && isset($_POST['application_note']))
  {
    $result = mysqli_query($con, "SELECT * FROM users WHERE email = '$email'");
    if ($result && mysqli_num_rows($result) == 1)
    {
      $user_data = mysqli_fetch_assoc($result);

      $name = $_POST['application_name'];
      $note = $_POST['application_note'];

      $result = mysqli_query($con, "SELECT * FROM client_keys WHERE client_owner = '" . $user_data['id'] . "'");

      if ($result && mysqli_num_rows($result) < $application_limit)
      {
        $id = uniqid();
        $secret = hash("sha256", $id);
        $values = array(
          "app_name" => $name,
          "app_note" => $note,
          "client_id" => $id,
          "client_secret" => $secret,
          "client_owner" => $user_data['id'],
          "created_time" => time(),
          "last_accessed" => 0,
          "type" => "api_auth"
        );

        $result = mysqli_query($con, build_query("client_keys", $values));

        if ($result)
        {
          $error = 0;
        }
        else
          $error = 2;
      }
      elseif (!$result)
        $error = 2;
      elseif (mysqli_num_rows($result) == $application_limit)
        $error = 3;
    }
    elseif (!$result)
      $error = 2;
    else
      $error = 1;
  }
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>New Client - ForeModpacker</title>
  <link rel='stylesheet' href='../assets/bootstrap.min.css' />
  <script src='../assets/bootstrap.min.js'></script>
  <script src='../assets/cookie_functions.min.js'></script>
  <link rel='stylesheet' href='../assets/styles.css'/>
  <style>
    .error
    {
      color: red;
      font-weight: bold;
    }
  </style>
</head>
<body>
<div class="container" style="margin-top: 25px;">
  <div>
    <h5>
      <? if ($logged_in && !$form_submit) { ?>
      <dim>Hello</dim> <?= $email ?>!
      <dim>Looking to register a new client application are we?</dim>
      <? } else { ?>
      <dim>You must be <a href="../">logged in</a> to use this page.</dim>
      <? } ?>
    </h5>
  </div>
  <?
  if (isset($error))
  {
    if ($error == 0)
    {
      ?>
      <div><label>Client ID: <input type="text" value="<?=$id?>" readonly /></label></div>
      <div><label>Client Secret: <input type="text" value="<?=$secret?>" /></label></div>
      <div>Take note of these! They cannot be reacquired later! They will only be shown now!</div>
      <?
    }
    else
    {
      ?>
      <div class="error"><?=$errors[$error] . " " . $error_data . " " . (($error == 2) ? mysqli_error($con) : "")?></div>
      <?
    }
  }
  ?>
  <div>
    Please fill in the fields below
  </div>

  <form action="" method="post">
    <div><input type="text" name="application_name" placeholder="Application Name" required/></div>
    <div><input type="text" name="application_note" placeholder="Intended Use" required/></div>
    <div><button class="button-primary">Submit</button></div>
  </form>
</div>
</body>
</html>