<?
header("Access-Control-Allow-Origin: *");
require_once "../../internal/inc_connect.php";
require_once "../../classes/ErrorCodes.php";
require_once "../inc_functions.php";

$major = "unknown";
$minor = "unknown";

$result = mysqli_query($con, "SELECT * FROM tags WHERE tag_type = 'major' ORDER BY id DESC LIMIT 1");

if ($result)
{
  if (mysqli_num_rows($result) == 1)
  {
    $row = mysqli_fetch_assoc($result);
    $major = $row['tag'];
  }
}
else
  return_error_as_json(ErrorCodes::$SQL_ERROR, mysqli_error($con));

$result = mysqli_query($con, "SELECT * FROM tags WHERE tag_type = 'minor' ORDER BY id DESC LIMIT 1");

if ($result)
{
  if (mysqli_num_rows($result) == 1)
  {
    $row = mysqli_fetch_assoc($result);
    $minor = $row['tag'];
  }
}

return_success_as_json(array("major" => $major, "minor" => $minor));