<?
//Created 13/06/2017
require_once "internal/inc_connect.php";
require_once "inc_functions.php";
require_once "krumo/class.krumo.php";

list($session, $email) = get_login_session();

if (isset($_GET['delete_ad']))
{
  $id = $_GET['delete_ad'];
  $query = "DELETE FROM ads WHERE id ='$id' AND owner_email = '$email'";
  $result = mysqli_query($con, $query);

  if (!$result)
    $error = mysqli_error($con);
  elseif (mysqli_affected_rows($con) == 0)
    $error = "Nothing deleted.";
  else
    header("Location: ./classifieds_list");
}
if (isset($_GET['bump_ad']))
{
  $id = $_GET['bump_ad'];
  $query = "UPDATE ads SET bumped = UNIX_TIMESTAMP() WHERE id = '$id' AND owner_email = '$email'";
  $result = mysqli_query($con, $query);

  if (!$result)
    $error = mysqli_error($con);
  elseif (mysqli_affected_rows($con) == 0)
    $error = "Nothing bumped.";
  else
    header("Location: ./classifieds_list");
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Classifieds - ForeModpacker</title>
  <link rel="stylesheet" href="assets/styles.css"/>
  <link rel="stylesheet" href="assets/style_newspaper.css"/>
</head>
<body>
<?
if (isset($error))
  echo "<div class='error'>" . $error . "</div>";
?>
<div id="lightbox_anchor" style="display: none;"></div>
<div id="overlay" style="display: none;"></div>
<div class="readability_button" onclick="toggle_readability()" title="Change to a similar font with less fancy characters to make the text easier to read. Click again to toggle back.">A</div>
<div class="news_title">The Trackman's Digest</div>
<div class="news_date"><?= date("l F d, Y") ?></div>
<div>
  <div class="column">
    <div class="article_title">Forecaster dies in lava</div>
    <div class="article_body">"It was spectacular" says eyewitness.</div>
    <div class="article_date">2017-06-11</div>
  </div>
  <div class="column">
    <div class="article_title">Flamingos on the run!</div>
    <div class="article_body">If any flamingos are seen report immediately so that they may be captured and interrogated!</div>
    <div class="article_date">2017-06-15</div>
  </div>
</div>
<div style="clear: both;"></div>
<div class="news_sub_title" style="position: relative;">Classifieds <span style="position: absolute; font-size: 14pt;"><a href="classifieds_new.php">(NEW)</a></span></div>
<div>
  <?
  function print_ads($result, $title)
  {
    global $con, $session, $total_counter, $ads_per_column, $counter, $email;
    $printed_title = false;
    $users = array();
    while ($row = mysqli_fetch_assoc($result))
    {
      $owned = false;
      if ($row['owner_email'] == $email)
        $owned = true;
      $expired = false;
      if ($row['bumped'] <= time() - 604800)
        $expired = true;
      $total_counter++;
      if (in_array($row['owner_email'], $users))
        $owner = $users[$row['owner_email']];
      else
      {
        $query = "SELECT * FROM users WHERE email = '" . $row['owner_email'] . "'";
        $user_result = mysqli_query($con, $query);

        if ($result && mysqli_num_rows($result) > 0)
        {
          $user_result = mysqli_fetch_assoc($user_result);
          $users[$row['owner_email']] = $user_result['minecraft_name'];
        }
        else
          $users[$row['owner_email']] = "Unknown";
        $owner = $users[$row['owner_email']];
      }
      if ($counter == 0)
        echo "<div class='column'>";
      if (!$printed_title) { echo "<div class='section_title'>$title</div>"; $printed_title = true; }
      $id = $row['id'];
      $url_match = preg_match_all('/(https?:\/\/[a-zA-Z.-_\/0-9]*\.(?:png|jpg|gif|jpeg))/', $row['body'], $matches, PREG_SET_ORDER, 0);
      if ($url_match)
      {
        $url = $matches[0][1];
        $row['body'] = str_replace($url, "<div style='text-align: center; margin-top: 6px; margin-bottom: 2px;'><img onclick='show_lightbox(event);' class='classified_thumbnail' src='" . $url . "' /></div>", $row['body']);
      }
      if (!$expired || $owned)
      {
        $class = "chunk";
        if ($owner && $expired)
          $class = "chunk_off";
        $delete_this = "";
        if ($owned || role_has_access($session, "admin"))
          $delete_this = "<a href='?delete_ad=$id' title='Delete' style='display: inline-block;'><div class='classified_delete'></div></a>";
        $bump_this = "";
        if ($owned)
          $bump_this = "<a href='?bump_ad=$id' title='Bump!' style='display: inline-block;'><div class='classified_bump'></div></a>";
        echo "<div class='$class' id='$counter'>
              <div style='position: absolute; top: 0; right: 0;'>
                $delete_this
                $bump_this
              </div>
              <div class='classified_title'>" . $row['title'] . "</div>
              <div class='classified_body'>" . nl2br($row['body']) . "</div>
              <div class='classified_signature'>– " . $owner . "</div>
            </div>";
        if ($counter == $ads_per_column)
        {
          $printed_title = false;
          $counter = 0;
          echo "</div>";
        }
        else
          $counter++;
      }
    }
    echo "</div>";
  }

  $query = "SELECT * FROM ads WHERE type = 'sell' ORDER BY bumped DESC";
  $result = mysqli_query($con, $query);
  
  if (!$result)
    echo "<div class='error'>" . mysqli_error($con) . "</div>";
  else if (mysqli_num_rows($result) == 0)
  {
    echo "<div class='error'>No ads. Sorry.</div>";
  }
  else
  {
    $total_counter = 0;
    $printed_title = false;
    $users = array();
    $ads_per_column = 5;
    $counter = 0;

    print_ads($result, "Selling");
  }

  $query = "SELECT * FROM ads WHERE type = 'buy' ORDER BY bumped DESC";
  $result = mysqli_query($con, $query);

  if (!$result)
    echo "<div class='error'>" . mysqli_error($con) . "</div>";
  else if (mysqli_num_rows($result) == 0)
  {
    echo "<div class='error'>No ads. Sorry.</div>";
  }
  else
  {
    $printed_title = false;
    $users = array();
    $ads_per_column = 5;
    $counter = 0;

    print_ads($result, "Buying");
  }
  ?>
  <!--
  <div class="column">
    <div class="chunk">
      <div class="classified_title">Buy things!</div>
      <div class="classified_body">Got some shit for sale you know. Rumblin for some sales and stuff.</div>
      <div class="classified_signature">– Salesman Joe</div>
    </div>
    <div class="chunk">
      <div class="classified_title">Used Carpet</div>
      <div class="classified_body">Must get rid of the evidence!</div>
      <div class="classified_signature">– Not-a-criminal</div>
    </div>
    <div class="chunk">
      <div class="classified_title">Stuff</div>
      <div class="classified_body">Used stuff for sale</div>
      <div class="classified_signature">– Random Citizen</div>
    </div>
  </div>
  -->
</div>
</body>
<script>
  function toggle_readability()
  {
    if (typeof document.body.style.fontFamily == "undefined" || document.body.style.fontFamily == null || document.body.style.fontFamily == "")
      document.body.style.fontFamily = "Serif";
    else
      document.body.style.fontFamily = null;
  }

  function show_lightbox(event)
  {
    var overlay = document.getElementById("overlay");
    var lightbox_anchor = document.getElementById("lightbox_anchor");

    var lightbox = document.createElement("div");
    lightbox.id = "lightbox";

    var img = document.createElement("img");
    img.src = event.target.src;
    img.id = "lightbox_image";
    lightbox.appendChild(img);

    lightbox_anchor.innerHTML = "";
    lightbox_anchor.appendChild(lightbox);

    overlay.style.display = "block";
    lightbox_anchor.style.display = "block";
    console.info(img.clientWidth);

    var width = img.clientWidth;
    if (width > document.body.clientWidth)
      width = document.body.clientWidth;
    var height = img.clientHeight;
    if (height > document.body.clientHeight)
      height = document.body.clientHeight;


    lightbox.style.width = width + "px";
    lightbox.style.height = height + "px";
    lightbox.style.left = (- width / 2) + "px";
    lightbox.style.top = (- height / 2) + "px";

    img.style.width = "100%";
    img.style.height = "100%";

    overlay.onclick = hide_lightbox;
    lightbox.onclick = hide_lightbox;
  }

  function hide_lightbox()
  {
    document.getElementById("overlay").style.display = "none";
    document.getElementById("lightbox_anchor").style.display = "none";
  }
</script>
</html>