<?
require_once "inc_connect.php";
require_once "SimpleSetting.php";
require_once "../inc_functions.php";
require_once "Role.php";
require_once "../auth.php";

$roles = new Role();
$simpleSetting = new SimpleSetting();
$today = date("[Y-m-d H:i]");
$whitelist = array();

$settings = array();
handle_setting($simpleSetting::$WHITELIST_UPDATE, true);

$soft_force = ((isset($_GET['soft_force']) && $_GET['soft_force'] == "true") || (isset($_POST['soft_force']) && $_POST['soft_force'] == "true"));
$force = ((isset($_GET['force']) && $_GET['force'] == "true") || (isset($_POST['force']) && $_POST['force'] == "true"));

$query = "SELECT minecraft_uuid as uuid, minecraft_name as name, updated FROM users WHERE role = '".$roles::$ADMIN."' OR role = '" . $roles::$MODERATOR . "' OR role = '" . $roles::$VIP . "' OR role = '" . $roles::$PATRON . "'";
$result = mysqli_query($con, $query);
if ($result)
{
  $do_update = false;
  if (mysqli_num_rows($result) == 0)
    die("No rows returned\n");
  while ($row = mysqli_fetch_assoc($result))
  {
    if ($row['uuid'] != null && $row['uuid'] != "")
    {
      $uuid = $row['uuid'];
      $row['uuid'] = substr($uuid, 0, 8)."-".substr($uuid, 8, 4)."-".substr($uuid, 12, 4)."-".substr($uuid, 16, 4)."-".substr($uuid, 20);
      $whitelist[] = array("uuid" => $row['uuid'], "name" => $row['name']);
      if ((time() - 3660) < $row['updated'])
        $do_update = true;
    }
  }

  file_put_contents("../whitelist.json", json_encode($whitelist));
  if (($settings[$simpleSetting::$WHITELIST_UPDATE] == "enabled" && ($do_update || $soft_force)) || $force)
  {
    if ($ftp_use_ssl)
      $con = ftp_ssl_connect($ftp_host, $ftp_port);
    else
      $con = ftp_connect($ftp_host, $ftp_port);

    if ($con)
    {
      $login = ftp_login($con, $ftp_username, $ftp_password);
      if ($login)
      {
        ftp_pasv($con, true);
        //$tmp_file = fopen("php://memory", "r+");
        //fputs($tmp_file, "Hello.");
        $upload = ftp_put($con, "custom-minecraft/whitelist.json", "../whitelist.json", FTP_ASCII, 0);
        if ($upload)
        {
          echo send_minecraft_command("whitelist reload") . "\n";
          echo send_minecraft_command('tellraw @p ["",{"text":"Whitelist updated!","color":"green"}]') . "\n";
          die("$today Successfully updated the whitelist with " . count($whitelist) . " entries!\n");
        }
        else
        {
          die("$today FTP Upload failed!\n");
        }
      }
      else
        die("$today FTP Login failed!\n");
    }
    else
      die("$today FTP Connection failed!\n");
  }
  elseif ($settings[$simpleSetting::$WHITELIST_UPDATE] != "enabled")
    die("$today Whitelist updates disabled\n");
  else
    die("$today No changes in the last hour\n");
}